Skills
Update a skill
Modifies the specified skill's configuration.
Parameter jalur
name
string
diperlukan
The name of the skill to update.
Parameter header
Foundry-Features
enum
diperlukan
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parameter kueri
api-version
string
diperlukan
The API version to use for this operation.
Isi Permintaan
default_version
string
diperlukan
The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.
Respons
The request has succeeded.
Isi
id
string
diperlukan
The unique identifier of the skill.
name
string
diperlukan
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
diperlukan
A human-readable description of the skill.
default_version
string
diperlukan
The default version for the skill. Can be changed via updateSkill.
latest_version
string
diperlukan
The latest version for the skill.
Minta
POST /skills/{name} HTTP/1.1
Tanggapan
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json